VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Appliance::Health::Softwarepackages Class Reference
Inheritance diagram for Com::Vmware::Appliance::Health::Softwarepackages:

## Classes
class | HealthLevel

## Avaliable Methods
public method | get ()
public method | new ()

## Detailed Description

`Com::Vmware::Appliance::Health::Softwarepackages` interface provides methods* Get information on available software updates available in remote VUM repository.

## Member Function Documentation

public method Com::Vmware::Appliance::Health::Softwarepackages::get | ( |  | ) |

Get information on available software updates available in remote VUM repository. red indicates that security updates are available. orange indicates that non security updates are available. green indicates that there are no updates available. gray indicates that there was an error retreiving information on software updates.

Return values

  software | updates available. The return type will be Com::Vmware::Appliance::Health::Softwarepackages::HealthLevel

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in get: 4
sub get {
my ($self, %args) = @_;
return $self->invoke(method_name => 'get', method_args => {});
}

public method Com::Vmware::Appliance::Health::Softwarepackages::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Health/Softwarepackages.pm